### Method

# Gtk Snapshot set_snap

unstable since: 4.24

#### Declaration [src]

    void
    gtk_snapshot_set_snap (
      GtkSnapshot* self,
      GskRectSnap snap
    )

#### Description [src]

Sets the snapping mode to use when appending snappable content to the snapshot.

The snap mode is part of the current state, so `gtk_snapshot_save()` and `gtk_snapshot_restore()` can be used to remember a snap mode.

Available since: 4.24

#### Parameters

`snap`

  Type: `GskRectSnap`

  The snapping mode to use.